@import "./../../scss/variables.scss";

@mixin large-button-styles($large-button-palette) {
  $primary-color: map-get(
    $map: $large-button-palette,
    $key: "primary-color",
  );

  .noku-library-large-button {
    &.large-button {
      outline: 0 !important;
      cursor: pointer;
      color: $white;
      display: flex;
      width: 100%;
      padding: 20px 28px;
      justify-content: space-between;
      align-items: center;
      font-weight: 500;
      font-family: inherit;
      position: relative;

      .link {
        position: absolute;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        cursor: pointer;
      }

      .icon {
        margin-right: 10px;
      }

      .text {
        font-size: 14px;
      }

      margin-bottom: 10px;
      background-color: transparentize($primary-color, 0.7);

      transition: background-color 0.3s;

      border: 0;

      span {
        height: 100%;
      }

      .chevron {
        font-size: 20px;
      }

      &:hover,
      &.active {
        background-color: $primary-color;
      }

      @media (max-width: $minimum-widthscreen) {
        width: 100%;
        padding: 1rem;
      }
    }
  }
}
